<?php

namespace App\Http\Controllers\v1\Merchant;

use App\Actions\Tenancy\GetMerchantTenantsAction;
use App\Http\Controllers\Controller;
use Illuminate\Http\Response;

class GetMerchantTenantsController extends Controller
{
    public function __invoke(GetMerchantTenantsAction $action): Response
    {
        return $this->ok($action->execute());
    }
}
